## mysql++ 2.0.6

=== doc/userman/Makefile ===
## ------------------------
## Things you may need to diddle for your local system
## ------------------------

FOPDIR=/usr/local/fop


## ------------------------
## Input files
## ------------------------

BASENAME=userman
DOCFILE=$(BASENAME).xml
PDFFILE=$(BASENAME).pdf
FOFILE=$(BASENAME).fo
COMMON_SS=common.xsl
FO_SS=fo.xsl
HTML_SS=html.xsl
EX_TXT=cgi_image.txt custom1.txt custom2.txt custom3.txt custom4.txt \
		custom5.txt custom6.txt fieldinf1.txt load_file.txt \
		resetdb.txt simple1.txt simple2.txt simple3.txt updel.txt \
		util.txt


## ------------------------
## Major output rules
## ------------------------

html: html/index.html

pdf: $(PDFFILE)


## ------------------------
## Standard Makefile targets
## ------------------------

# Notice that this is not the first target in the file, as is standard.
# PDF generation takes longer than HTML generation, so to keep the code-
# test-debug-rebuild cycle short, we generate only the HTML manual by
# default.  You can explicitly say "make pdf" or "make all" when you're
# sure the DocBook file's contents are correct.
all: html pdf

clean:
	rm -f tags *.fo html/*.html *.log *.out *.pdf *.txt


## ------------------------
## How to make output files
## ------------------------

$(PDFFILE): $(DOCFILE) $(FO_SS) $(COMMON_SS)
	xsltproc --xinclude $(FO_SS) $(DOCFILE) > $(FOFILE)
	$(FOPDIR)/fop.sh -q -fo $(FOFILE) $(PDFFILE)
	cp $(PDFFILE) ../mysqlpp-$(PDFFILE)

html/index.html: $(DOCFILE) $(EX_TXT) $(HTML_SS) $(COMMON_SS)
	@mkdir -p html
	@xmllint --xinclude --postvalid --noent --noout $(DOCFILE)
	xsltproc --xinclude -o html/ $(HTML_SS) $(DOCFILE)


## ------------------------
## Dependency rules
## ------------------------

$(EX_TXT):
	@./mktxt $@

## mysql++ 2.3.2

=== doc/userman/Makefile ===
--- 
+++ 
@@ -9,24 +9,25 @@
 ## Input files
 ## ------------------------
 
+HTML_DIR=../html/userman
 BASENAME=userman
-DOCFILE=$(BASENAME).xml
+DOCFILE=$(BASENAME).dbx
 PDFFILE=$(BASENAME).pdf
 FOFILE=$(BASENAME).fo
 COMMON_SS=common.xsl
 FO_SS=fo.xsl
 HTML_SS=html.xsl
-EX_TXT=cgi_image.txt custom1.txt custom2.txt custom3.txt custom4.txt \
-		custom5.txt custom6.txt fieldinf1.txt load_file.txt \
-		resetdb.txt simple1.txt simple2.txt simple3.txt updel.txt \
-		util.txt
+EX_TXT=cgi_jpeg.txt custom1.txt custom2.txt custom3.txt custom4.txt \
+		custom5.txt custom6.txt fieldinf1.txt for_each.txt load_jpeg.txt \
+		resetdb.txt simple1.txt simple2.txt simple3.txt stock.txt \
+		store_if.txt tquery.txt xaction.txt
 
 
 ## ------------------------
 ## Major output rules
 ## ------------------------
 
-html: html/index.html
+html: $(HTML_DIR)/index.html
 
 pdf: $(PDFFILE)
 
@@ -43,7 +44,7 @@
 all: html pdf
 
 clean:
-	rm -f tags *.fo html/*.html *.log *.out *.pdf *.txt
+	rm -f tags *.fo $(HTML_DIR)/*.html *.log *.out *.pdf *.txt
 
 
 ## ------------------------
@@ -52,13 +53,12 @@
 
 $(PDFFILE): $(DOCFILE) $(FO_SS) $(COMMON_SS)
 	xsltproc --xinclude $(FO_SS) $(DOCFILE) > $(FOFILE)
-	$(FOPDIR)/fop.sh -q -fo $(FOFILE) $(PDFFILE)
-	cp $(PDFFILE) ../mysqlpp-$(PDFFILE)
+	$(FOPDIR)/fop -q -fo $(FOFILE) $(PDFFILE)
+	cp $(PDFFILE) ../pdf
 
-html/index.html: $(DOCFILE) $(EX_TXT) $(HTML_SS) $(COMMON_SS)
-	@mkdir -p html
+$(HTML_DIR)/index.html: $(DOCFILE) $(EX_TXT) $(HTML_SS) $(COMMON_SS)
 	@xmllint --xinclude --postvalid --noent --noout $(DOCFILE)
-	xsltproc --xinclude -o html/ $(HTML_SS) $(DOCFILE)
+	xsltproc --xinclude -o $(HTML_DIR)/ $(HTML_SS) $(DOCFILE)
 
 
 ## ------------------------

## mysql++ 3.0.0

=== doc/userman/Makefile ===
--- 
+++ 
@@ -1,10 +1,3 @@
-## ------------------------
-## Things you may need to diddle for your local system
-## ------------------------
-
-FOPDIR=/usr/local/fop
-
-
 ## ------------------------
 ## Input files
 ## ------------------------
@@ -17,10 +10,11 @@
 COMMON_SS=common.xsl
 FO_SS=fo.xsl
 HTML_SS=html.xsl
-EX_TXT=cgi_jpeg.txt custom1.txt custom2.txt custom3.txt custom4.txt \
-		custom5.txt custom6.txt fieldinf1.txt for_each.txt load_jpeg.txt \
-		resetdb.txt simple1.txt simple2.txt simple3.txt stock.txt \
-		store_if.txt tquery.txt xaction.txt
+EX_TXT=cgi_jpeg.txt cpool.txt deadlock.txt fieldinf.txt for_each.txt \
+		load_jpeg.txt multiquery.txt resetdb.txt simple1.txt \
+		simple2.txt simple3.txt ssqls1.txt ssqls2.txt ssqls3.txt \
+		ssqls4.txt ssqls5.txt stock.txt store_if.txt tquery1.txt \
+		transaction.txt
 
 
 ## ------------------------
@@ -51,12 +45,12 @@
 ## How to make output files
 ## ------------------------
 
-$(PDFFILE): $(DOCFILE) $(FO_SS) $(COMMON_SS)
+$(PDFFILE): *.dbx *.in $(FO_SS) $(COMMON_SS)
 	xsltproc --xinclude $(FO_SS) $(DOCFILE) > $(FOFILE)
-	$(FOPDIR)/fop -q -fo $(FOFILE) $(PDFFILE)
-	cp $(PDFFILE) ../pdf
+	./fo2pdf $(FOFILE) $(PDFFILE)
+	mkdir -p ../pdf && cp $(PDFFILE) ../pdf
 
-$(HTML_DIR)/index.html: $(DOCFILE) $(EX_TXT) $(HTML_SS) $(COMMON_SS)
+$(HTML_DIR)/index.html: *.dbx *.in $(EX_TXT) $(HTML_SS) $(COMMON_SS)
 	@xmllint --xinclude --postvalid --noent --noout $(DOCFILE)
 	xsltproc --xinclude -o $(HTML_DIR)/ $(HTML_SS) $(DOCFILE)
 
@@ -67,3 +61,6 @@
 
 $(EX_TXT):
 	@./mktxt $@
+
+userman.dbx: userman.dbx.in
+	( cd ../.. ; ./config.status )

## mysql++ 3.1.0

=== doc/userman/Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 EX_TXT=cgi_jpeg.txt cpool.txt deadlock.txt fieldinf.txt for_each.txt \
 		load_jpeg.txt multiquery.txt resetdb.txt simple1.txt \
 		simple2.txt simple3.txt ssqls1.txt ssqls2.txt ssqls3.txt \
-		ssqls4.txt ssqls5.txt stock.txt store_if.txt tquery1.txt \
-		transaction.txt
+		ssqls4.txt ssqls5.txt ssqls6.txt stock.txt store_if.txt \
+		tquery1.txt transaction.txt
 
 
 ## ------------------------
@@ -38,7 +38,7 @@
 all: html pdf
 
 clean:
-	rm -f tags *.fo $(HTML_DIR)/*.html *.log *.out *.pdf *.txt
+	@rm -f tags *.fo $(HTML_DIR)/*.html *.log *.out *.pdf $(EX_TXT)
 
 
 ## ------------------------
@@ -51,8 +51,8 @@
 	mkdir -p ../pdf && cp $(PDFFILE) ../pdf
 
 $(HTML_DIR)/index.html: *.dbx *.in $(EX_TXT) $(HTML_SS) $(COMMON_SS)
-	@xmllint --xinclude --postvalid --noent --noout $(DOCFILE)
-	xsltproc --xinclude -o $(HTML_DIR)/ $(HTML_SS) $(DOCFILE)
+	@xmllint --xinclude --nonet --postvalid --noent --noout $(DOCFILE)
+	xsltproc --xinclude --nonet -o $(HTML_DIR)/ $(HTML_SS) $(DOCFILE)
 
 
 ## ------------------------

=== debian/changelog ===
mysql++ (3.1.0-2) unstable; urgency=low

  * Document how to fully build the examples
  * Allow build to succeed with multiarch libmysqlclient-dev, thanks to
    Clint Byrum for the patch (Closes: #650054)
  * Fix wrong order of linker flags, thanks to Jean-Louis Dupond for the
    patch (Closes: #633686)
  * Build against thread-aware MySQL by passing --enable-thread-check
    option to ./configure (Closes: #607833)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 20 Dec 2011 20:15:39 -0500

mysql++ (3.1.0-1) unstable; urgency=low

  * New upstream release
  * Fix FTBFS with g++-4.6 (Closes: 624945)
  * Update to Standards-Version 3.9.2 (no changes)
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 17 May 2011 19:03:09 -0400

mysql++ (3.0.9-1) unstable; urgency=low

  * New upstream release (Closes: #504884)
  * debian/control:
    + Add /me to Uploaders
    + Remove Andres Salomon from Uploaders (thanks for your hard work)
    + Remove Wes Chow from Uploaders (thanks for your hard work)
    + Update to Standards-Version 3.8.1
    + Add ${misc:Depends} for the binary packages
    + Update debhelper dependency to (>> 5)
  * debian/compat: Bump compatibility level to 5
  * debian/NEWS.Debian: obsolete; removed
  * debian/copyright:
    + Added note that I am current "maintainer"
    + Update dates, references and links
  * debian/rules:
    + Enable building of static library (Closes: #513213)
  * Tweaks to placate lintian and also some necessary overrides
  * Move documentation to new libmysql++-doc package (Closes: #470319)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 17 Apr 2009 20:45:57 -0400

mysql++ (3.0.0-1) unstable; urgency=low

  * New upstream release.
  * Package will now build with g++ 4.3 (closes: #455628).
  * Bump the SONAME (2c2a -> 3) and update package names.
  * Silence lintian warnings and fix a bunch of description typos.
  * The user and reference manuals have their own license; update
    debian/copyright accordingly.

 -- Andres Salomon <dilinger@debian.org>  Fri, 07 Mar 2008 13:36:44 +0000

mysql++ (2.3.2-1) unstable; urgency=low

  * New upstream release.
  * Upstream no longer builds examples by default; drop --disable-examples
    configure arg and 001-examples_subdir.patch.
  * Drop old libsqlplus* handling; libmysql++* is now in stable, no need
    to provide transitional stuff anymore.

 -- Andres Salomon <dilinger@debian.org>  Sun, 16 Sep 2007 17:08:04 -0400

mysql++ (2.0.7-3) unstable; urgency=low

  * Update maintainers.

 -- Andres Salomon <dilinger@debian.org>  Mon, 05 Jun 2006 18:40:04 +0000

mysql++ (2.0.7-2) unstable; urgency=low

  * Build-dep on libmysqlclient15-dev (closes: #353566).

 -- Andres Salomon <dilinger@debian.org>  Sun, 19 Feb 2006 19:45:41 +0000

mysql++ (2.0.7-1) unstable; urgency=medium

  * New upstream release.
  * ACK Steve's NMU (keeping the medium priority).  I shall whip him in
    tetrinet for his insolence (closes: #339233).
  * Upstream renamed configure.in to configure.ac; update
    001-examples_subdir.patch for that.

 -- Andres Salomon <dilinger@debian.org>  Fri, 16 Dec 2005 19:58:28 +0000

mysql++ (2.0.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rename libmysql++2 to libmysql++2c2a for the C++ mt allocator ABI
    transition, and conflict/replace libmysql++2 accordingly
    (closes: #339233).

 -- Steve Langasek <vorlon@debian.org>  Tue, 13 Dec 2005 06:17:14 -0800

mysql++ (2.0.6-1) unstable; urgency=low

  * New upstream release.
  * Rename binary packages that're created; use libmysql++ instead of
    libsqlplus.
  * Add a NEWS.Debian describing the rename, etc.
  * Drop README.Debian, as it no longer is necessary now that we match
    upstream paths.
  * Add 001-examples_subdir.patch to fix the examples/.deps problem.
  * Update autoconf, automake, and libtool related scripts to newer
    versions (closes: #328236).

 -- Andres Salomon <dilinger@debian.org>  Mon, 03 Oct 2005 15:43:56 -0400

mysql++ (1.7.40-3) unstable; urgency=low

  * Fix oversight w/ wrong version of libmysqlclient being depended upon.

 -- Andres Salomon <dilinger@debian.org>  Wed, 14 Sep 2005 01:00:34 -0400

mysql++ (1.7.40-2) unstable; urgency=low

  * Apparently the mysql-4.1 transition started already; build-dep on
    libmysqlclient14-dev instead of 12.

 -- Andres Salomon <dilinger@debian.org>  Thu, 04 Aug 2005 18:10:17 -0400

mysql++ (1.7.40-1) unstable; urgency=low

  * Hijack this package, as the maintainer is apparently MIA.
  * New upstream release (closes: #278534, #303554).
  * Ack NMU; thanks! (closes: #291281, #292427).
  * This version builds with gcc4 (closes: #265526). 
  * Update copyright file, new upstream URL, and add myself as a maintainer.
  * Bump SONAME.
  * Switch build system to cdbs.
  * Remove the various bits about this package being unmaintained upstream;
    it is now an active project.  Update various other documentation.
  * Stop building examples, and certainly stop shipping gzipped object
    files in /usr/share/doc that are never used.

 -- Andres Salomon <dilinger@debian.org>  Fri, 24 Jun 2005 11:49:19 -0400

mysql++ (1.7.9.sp4-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libmysqlclient14-dev instead of having a versioned
    build-dep on virtual package libmysqlclient-dev (closes: #291281),
    patch from Steve Langasek.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 26 Jan 2005 23:30:50 +0100

mysql++ (1.7.9.sp4-5) unstable; urgency=low

  * (src) Adding default constructor definition for
	  mysql_ti_sql_type_info. Thanks to Sergei Vavinov (closes: #258081).

 -- Stephan A Suerken <absurd@debian.org>  Mon, 26 Jul 2004 14:15:44 +0000

mysql++ (1.7.9.sp4-4) unstable; urgency=low

  * rules: Explicitely setting CXXFLAGS before configure.
  * Note: 1.7.9.sp4-3's (cvs-*) build env was missing the "original orig",


=== debian/control ===
Source: mysql++
Priority: optional
Section: libs
Maintainer: Athena Capital Research <acr-debian@athenacr.com>
Uploaders: Roberto C. Sanchez <roberto@connexer.com>
Build-Depends: debhelper (>> 5), cdbs, autotools-dev, libmysqlclient-dev, libssl-dev
Standards-Version: 3.9.2
Homepage: http://tangentsoft.net/mysql++/

Package: libmysql++-dev
Section: libdevel
Architecture: any
Depends: libmysql++3 (= ${binary:Version}), libmysqlclient-dev, ${misc:Depends}
Suggests: libmysql++-doc
Description: MySQL C++ library bindings (development)
 MySQL++ is a complex C++ API for MySQL (and other SQL databases
 soon). The goal of this API is to make working with Queries as easy
 as working with other STL containers.
 .
 This package provides development support.

Package: libmysql++3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MySQL C++ library bindings (runtime)
 MySQL++ is a complex C++ API for MySQL (and other SQL databases
 soon). The goal of this API is to make working with Queries as easy
 as working with other STL Containers.
 .
 This package provides runtime support.

Package: libmysql++-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libmysql++-dev
Description: MySQL C++ library bindings (documentation and examples)
 MySQL++ is a complex C++ API for MySQL (and other SQL databases
 soon). The goal of this API is to make working with Queries as easy
 as working with other STL Containers.
 .
 This package provides documentation and examples.  Please read the
 instructions in README.Debian in order to build the examples.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/libmysqlclient.so),)
  DEB_CONFIGURE_EXTRA_FLAGS = --enable-static --enable-thread-check
else
  DEB_CONFIGURE_EXTRA_FLAGS = --enable-static --enable-thread-check --with-mysql-lib=/usr/lib/$(DEB_HOST_MULTIARCH)
endif
DEB_COMPRESS_EXCLUDE = .cpp .h

## mysql++ 3.2.0+pristine

=== doc/userman/Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	./fo2pdf $(FOFILE) $(PDFFILE)
 	mkdir -p ../pdf && cp $(PDFFILE) ../pdf
 
-$(HTML_DIR)/index.html: *.dbx *.in $(EX_TXT) $(HTML_SS) $(COMMON_SS)
+$(HTML_DIR)/index.html: *.dbx *.in *.mod *.txt *.xsl
 	@xmllint --xinclude --nonet --postvalid --noent --noout $(DOCFILE)
 	xsltproc --xinclude --nonet -o $(HTML_DIR)/ $(HTML_SS) $(DOCFILE)

=== debian/changelog ===
mysql++ (3.2.0+pristine-1) unstable; urgency=low

  * New upstream release
    + Repack source to remove unnecessary absolute symlink
  * Add linkage to pthread via LDFLAGS in debian/rules (Closes: #713600)
  * Drop 03_fix_linker_order.patch - part merged upstream & part obsolete
  * Update to Standards-Version 3.9.4 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 26 Sep 2013 18:49:54 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Athena Capital Research <acr-debian@athenacr.com>
 Uploaders: Roberto C. Sanchez <roberto@connexer.com>
 Build-Depends: debhelper (>> 5), cdbs, autotools-dev, libmysqlclient-dev, libssl-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://tangentsoft.net/mysql++/
 
 Package: libmysql++-dev

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+
+LDFLAGS += -pthread
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

=== debian/watch ===
version=3

http://tangentsoft.net/mysql++/releases/mysql\+\+-(.*)\.tar\.gz

## mysql++ 3.2.1+pristine

=== debian/changelog ===
mysql++ (3.2.1+pristine-1ubuntu2) wily; urgency=medium

  * Fix lintian override, use dh_lintian instead of manually instaling it.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 19:40:13 +0100

mysql++ (3.2.1+pristine-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 11:31:29 +0100

mysql++ (3.2.1+pristine-1) unstable; urgency=low

  * New upstream release
  * Update to Standards-Version 3.9.5 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 11 Mar 2014 16:57:32 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: mysql++
 Priority: optional
 Section: libs
-Maintainer: Athena Capital Research <acr-debian@athenacr.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Athena Capital Research <acr-debian@athenacr.com>
 Uploaders: Roberto C. Sanchez <roberto@connexer.com>
 Build-Depends: debhelper (>> 5), cdbs, autotools-dev, libmysqlclient-dev, libssl-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://tangentsoft.net/mysql++/
 
 Package: libmysql++-dev
 Section: libdevel
 Architecture: any
-Depends: libmysql++3 (= ${binary:Version}), libmysqlclient-dev, ${misc:Depends}
+Depends: libmysql++3v5 (= ${binary:Version}), libmysqlclient-dev, ${misc:Depends}
 Suggests: libmysql++-doc
 Description: MySQL C++ library bindings (development)
  MySQL++ is a complex C++ API for MySQL (and other SQL databases
@@ -19,9 +20,11 @@
  .
  This package provides development support.
 
-Package: libmysql++3
+Package: libmysql++3v5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libmysql++3
+Replaces: libmysql++3
 Description: MySQL C++ library bindings (runtime)
  MySQL++ is a complex C++ API for MySQL (and other SQL databases
  soon). The goal of this API is to make working with Queries as easy

## mysql++ 3.2.2+pristine

=== doc/userman/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 HTML_DIR=../html/userman
 BASENAME=userman
 DOCFILE=$(BASENAME).dbx
-PDFFILE=$(BASENAME).pdf
+PDFFILE=../pdf/$(BASENAME).pdf
 FOFILE=$(BASENAME).fo
 COMMON_SS=common.xsl
 FO_SS=fo.xsl
@@ -21,9 +21,9 @@
 ## Major output rules
 ## ------------------------
 
-html: $(HTML_DIR)/index.html
+html: $(EX_TXT) $(HTML_DIR)/index.html
 
-pdf: $(PDFFILE)
+pdf: $(EX_TXT) $(PDFFILE)
 
 
 ## ------------------------
@@ -47,8 +47,8 @@
 
 $(PDFFILE): *.dbx *.in $(FO_SS) $(COMMON_SS)
 	xsltproc --xinclude $(FO_SS) $(DOCFILE) > $(FOFILE)
+	mkdir -p ../pdf
 	./fo2pdf $(FOFILE) $(PDFFILE)
-	mkdir -p ../pdf && cp $(PDFFILE) ../pdf
 
 $(HTML_DIR)/index.html: *.dbx *.in *.mod *.txt *.xsl
 	@xmllint --xinclude --nonet --postvalid --noent --noout $(DOCFILE)

=== debian/changelog ===
mysql++ (3.2.2+pristine-2ubuntu3) artful; urgency=medium

  * No-change rebuild for GCC 7 abi mangling change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Aug 2017 15:19:21 +0000

mysql++ (3.2.2+pristine-2ubuntu2) artful; urgency=medium

  * Revert PIE changes for the latest dpkg.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 03 May 2017 10:28:25 +0530

mysql++ (3.2.2+pristine-2ubuntu1) zesty; urgency=medium

  * Disable PIE during build on all archs for now.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 18 Feb 2017 09:43:37 +0530

mysql++ (3.2.2+pristine-2) unstable; urgency=medium

  * Avoid linking against libmysqlclient_r and link directly against
    libmysqlclient instead. Thanks Robie Basak <robie.basak@ubuntu.com>
    for the patch. (Closes: #825086)
  * Thanks to Michael Prokop <mika@debian.org> for preparing the upload
    (all I did was apply his patch integrating Robie's patch)
    (Closes: #845444)
  * Update to Standards-Version 3.9.8 (no changes)
  * Update to debhelper compatibility level 9 (no changes)
  * Change dependency on libmysqlclient-dev to default-libmysqlclient-dev
  * Enable hardening flags at build time

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 23 Nov 2016 12:23:22 -0500

mysql++ (3.2.2+pristine-1) unstable; urgency=low

  * New upstream release (Closes: #798389)
  * Update watch file so it finds new upstream releases, and add repack.sh
  * Acknowledge NMU (Closes: #798200)
  * Update to Standards-Version 3.9.6 (no changes)
  * Drop obsolete patches:
    + GCC 4.6 FTBFS is no longer an issue
    + Static library patch no longer applies

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 14 Oct 2015 01:02:11 -0400

mysql++ (3.2.1+pristine-1.1) wily; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition.
  * Fix lintian override, use dh_lintian instead of manually instaling it.

 -- Iain Lane <laney@debian.org>  Sun, 06 Sep 2015 18:28:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Athena Capital Research <acr-debian@athenacr.com>
 Uploaders: Roberto C. Sanchez <roberto@connexer.com>
-Build-Depends: debhelper (>> 5), cdbs, autotools-dev, libmysqlclient-dev, libssl-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), cdbs, autotools-dev, default-libmysqlclient-dev, libssl-dev
+Standards-Version: 3.9.8
 Homepage: http://tangentsoft.net/mysql++/
 
 Package: libmysql++-dev
 Section: libdevel
 Architecture: any
-Depends: libmysql++3v5 (= ${binary:Version}), libmysqlclient-dev, ${misc:Depends}
+Depends: libmysql++3v5 (= ${binary:Version}), default-libmysqlclient-dev, ${misc:Depends}
 Suggests: libmysql++-doc
 Description: MySQL C++ library bindings (development)
  MySQL++ is a complex C++ API for MySQL (and other SQL databases

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 LDFLAGS += -pthread

## mysql++ 3.2.5

=== doc/userman/Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 all: html pdf
 
 clean:
-	@rm -f tags *.fo $(HTML_DIR)/*.html *.log *.out *.pdf $(EX_TXT)
+	@rm -f tags *.fo $(HTML_DIR)/*.html *.log *.out *.pdf $(EX_TXT) $(PDFFILE)
 
 
 ## ------------------------

=== debian/changelog ===
mysql++ (3.2.5-2) unstable; urgency=medium

  * Update to Standards-Version 4.5.0 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 22 Apr 2020 21:37:47 -0400

mysql++ (3.2.5-1) unstable; urgency=medium

  * New upstream release (Closes: #919377)
    + Rebuild with current MariaDB libraries (Closes: #934817)
  * Switch to debhelper-based build and bump compat level to 10
  * Update to Standards-Version 4.4.0 (no changes)
  * Handle GCC name mangling for C++ conversion operators (Closes: #871302)
  * Use AC_TRY_COMPILE to discover localtime_r(); thanks to Helmut Grohne for
    the patch (Closes: #901343)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 24 Aug 2019 19:26:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: mysql++
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Athena Capital Research <acr-debian@athenacr.com>
+Maintainer: Athena Capital Research <acr-debian@athenacr.com>
 Uploaders: Roberto C. Sanchez <roberto@connexer.com>
-Build-Depends: debhelper (>= 9), cdbs, autotools-dev, default-libmysqlclient-dev, libssl-dev
-Standards-Version: 3.9.8
-Homepage: http://tangentsoft.net/mysql++/
+Build-Depends: debhelper (>= 10), default-libmysqlclient-dev, libssl-dev, g++ (>= 4:7)
+Standards-Version: 4.5.0
+Homepage: https://tangentsoft.net/mysqlpp/
 
 Package: libmysql++-dev
 Section: libdevel
 Architecture: any
 Depends: libmysql++3v5 (= ${binary:Version}), default-libmysqlclient-dev, ${misc:Depends}
 Suggests: libmysql++-doc
+Multi-Arch: same
 Description: MySQL C++ library bindings (development)
  MySQL++ is a complex C++ API for MySQL (and other SQL databases
  soon). The goal of this API is to make working with Queries as easy
@@ -25,6 +25,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libmysql++3
 Replaces: libmysql++3
+Multi-Arch: same
 Description: MySQL C++ library bindings (runtime)
  MySQL++ is a complex C++ API for MySQL (and other SQL databases
  soon). The goal of this API is to make working with Queries as easy
@@ -37,6 +38,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: libmysql++-dev
+Multi-Arch: foreign
 Description: MySQL C++ library bindings (documentation and examples)
  MySQL++ is a complex C++ API for MySQL (and other SQL databases
  soon). The goal of this API is to make working with Queries as easy

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_LDFLAGS_MAINT_APPEND = -pthread

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-static --enable-thread-check --with-mysql-lib=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_autoreconf:
	# autoreconf fails unless aclocal is skipped
	ACLOCAL=true dh_autoreconf

override_dh_makeshlibs:
	# For new symbols when compiled with GCC 7
	dh_makeshlibs -V'libmysql++3v5 (>= 3.2.5-1~)'
